<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.1/1829459
 */

return array(
    'attachments' => array(
        'max_file_size' => null, // in bytes; will default to php upload_max_size if blank
    ),
    'router' => array(
        'routes' => array(
            'attachments' => array(
                'type' => 'Zend\Router\Http\Segment',
                'options' => array(
                    'route'    => '/attachment[s]/:attachment[/][:filename]',
                    'defaults' => array(
                        'controller' => Attachments\Controller\IndexController::class,
                        'action'     => 'index',
                    ),
                ),
            ),
            'add-attachment' => array(
                'type' => 'Zend\Router\Http\Segment',
                'options' => array(
                    'route'    => '/attachments/add[/]',
                    'defaults' => array(
                        'controller' => Attachments\Controller\IndexController::class,
                        'action'     => 'add',
                    ),
                ),
            ),
        ),
    ),
    'controllers' => array(
        'factories' => [
            Attachments\Controller\IndexController::class => Application\Controller\IndexControllerFactory::class
        ],
    ),
);
