<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.1/1829459
 */

return array(
    'router' => array(
        'routes' => array(
            'changes' => array(
                'type' => 'Application\Router\Regex',
                'options' => array(
                    'regex'    => '/changes?(/(?P<path>.*))?',
                    'spec'     => '/changes/%path%',
                    'defaults' => array(
                        'controller' => Changes\Controller\IndexController::class,
                        'action'     => 'changes',
                        'path'       => null
                    ),
                ),
            ),
            'change' => array(
                'type' => 'Application\Router\Regex',
                'options' => array(
                    'regex'    => '/changes?(/(?P<change>[0-9]+))/?',
                    'spec'     => '/changes/%change%',
                    'defaults' => array(
                        'controller' => Changes\Controller\IndexController::class,
                        'action'     => 'change',
                        'change'     => null
                    ),
                ),
            ),
            'change-fixes' => array(
                'type' => 'Application\Router\Regex',
                'options' => array(
                    'regex'    => '/changes?/(?P<change>[^/]+)/fixes(/(?P<mode>(add|delete)))?/?',
                    'spec'     => '/changes/%change%/fixes/%mode%',
                    'defaults' => array(
                        'controller' => Changes\Controller\IndexController::class,
                        'action'     => 'fixes',
                        'change'     => null,
                        'mode'       => null
                    ),
                ),
            ),
        ),
    ),
    'controllers' => array(
        'factories' => [
            Changes\Controller\IndexController::class => Application\Controller\IndexControllerFactory::class
        ],
    ),
    'view_manager' => array(
        'template_map' => array(
            'changes/index/index'  => __DIR__ . '/../view/changes/index/change.phtml',
        ),
        'template_path_stack'   => array(
            __DIR__ . '/../view',
        ),
    ),
);
