<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.1/1829459
 */

return array(
    'libreoffice' => array(
        'path' => 'soffice'
    ),
    'xhprof' => array(
        'ignored_routes' => array('libreoffice')
    ),
    'router' => array(
        'routes' => array(
            'libreoffice' => array(
                'type' => 'Application\Router\Regex',
                'options' => array(
                    'regex'    => '/libreoffice?(/(?P<path>.*))?',
                    'spec'     => '/libreoffice/%path%',
                    'defaults' => array(
                        'controller' => LibreOffice\Controller\IndexController::class,
                        'action'     => 'index',
                        'path'       => null
                    ),
                ),
            ),
        ),
    ),
    'controllers' => array(
        'factories' => [
            LibreOffice\Controller\IndexController::class => Application\Controller\IndexControllerFactory::class
        ],
    ),
);
